# ----------------------------------------------------------------------------
# Csound Tcl Partitur-Skript   "Dat du min leevsten buest"         NOV-24-2002
# Copyright (c) 2002 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ------------------------------------ ins Tcl-Arbeitsverzeichnis wechseln ---
cd "[file dirname $argv0]/..";

# ------------------------------------------- allgemeine Grundlagen lernen ---
source "basics/ref.tcl";   # alles ueber Referenzvariablen
source "basics/tree.tcl";  # alles ueber Datenbaeume

# --------------------------------- die Grundlagen der Csound-Musik lernen ---
source "basics/music.tcl";

# ------------------------------------------------------ das Spiel beginnt ---
set root [plant]; # einen neuen Klangbaum pflanzen
# Dat du min leevsten buest
set stem [TREEnew $root {fstp 1 tmtv 2}];
sprout $stem\
 {csym {(0,2,4,5,7)/(0,4,7)/(0,4,7)} kybs 17 chbt p./.../f. more {\
   {rept 85 more {\
   {vlbs 76.0 rept 5 more {\
    {cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]-5]} cmod ;/u.../u...}\
    {cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]-5]} cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]+5]} cmod ;/u.../u...}\
   }}\
   {rept 80 more {\
    {song {} vars {\
     {tmtv 2.0 chbt ./.../f. vlbs 76.0}\
     {tmtv 1.5 chbt ./.../f. vlbs 76.0}\
     {tmtv 1.0 chbt ././f.   vlbs 80.0}\
     {tmtv 1.0 chbt ././f.   vlbs 80.0}\
     {tmtv 2.0 chbt ./.../f. vlbs 76.0}\
    }}\
    {cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]+5]} cmod ;/u.../u...}\
    {cmod ;/u.../u...}\
    {cmod .'.'./u.../u...}\
    {kybs {[expr [STEM kybs]-5]} cmod r.;*.'.'.;/u.../u...}\
    {cmod .'.'./u.../u...}\
    {kybs {[expr [STEM kybs]-5]} cmod r.;:/u.../u...}\
    {kybs {[expr [STEM kybs]+5]} cmod r*.;''...;/u.../u...}\
    {cmod r''.;''...;/u.../u...}\
    {cmod '.**../u.../u...}\
    {cmod ''.'.;/u.../u...}\
    {kybs {[expr [STEM kybs]+5]} cmod r*.;''...;/u.../u...}\
    {cmod r''.;''...;/u.../u...}\
    {cmod '.**../u.../u...}\
    {cmod ./u.../u...}\
   }}\
  }}\
  {vlbs 76.0 rept 6 more {\
    {cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]+5]} cmod ;/u.../u...}\
    {cmod ;/u.../u...}\
    {kybs {[expr [STEM kybs]-5]} cmod ;/u.../u...}\
    {cmod ;/u.../u...}\
    {cmod ;/./. chbt ;/._/._}\
  }}\
 }}\
 ;
begin $root "[file rootname [file tail $argv0]]" 0.5;
touch $stem 91;
end $root 0.5;
